{ ----------------------------------------------------------------------------
    Copyright (C) 2005-2010 Jeroen Commandeur and Paul-Jan Pauptit

    This file is part of DeleD CE (Community Edition)

    DeleD CE is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Deled CE is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Deled CE. If not, see <http://www.gnu.org/licenses/>.
  ---------------------------------------------------------------------------- }
unit fraLightInspector;

{$MODE Delphi}

interface

uses 
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Grids, ValEdit, StdCtrls;

type
  TfraLightsInspector = class(TFrame)
    Label1: TLabel;
    vleLight: TValueListEditor;
  private
  public
    constructor Create(AOwner: TComponent); override;
    destructor Destroy; override;
  end;

implementation

{$R *.lfm}

constructor TfraLightsInspector.Create(AOwner: TComponent);
var strings: TStringList;
begin
    inherited Create(AOwner);
    strings := TStringList.Create;
    strings.Add('True');
    strings.Add('False');
    vleLight.ItemProps['Active'].EditStyle := esPickList;
    vleLight.ItemProps['Active'].PickList := strings;
    vleLight.ItemProps['Flash'].EditStyle := esPickList;
    vleLight.ItemProps['Flash'].PickList := strings;
    strings.Free;
    vleLight.Col := 1;
end;

destructor TfraLightsInspector.Destroy;
begin
    inherited;
end;

end.
