{ ----------------------------------------------------------------------------
    Copyright (C) 2005-2010 Jeroen Commandeur and Paul-Jan Pauptit

    This file is part of DeleD CE (Community Edition)

    DeleD CE is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Deled CE is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Deled CE. If not, see <http://www.gnu.org/licenses/>.
  ---------------------------------------------------------------------------- }
// Unit:    unit_messages
// Purpose: contains & initializes windows message constants
// Note:    many messages are yet undefined (see frmMainForm) and should be included here

unit unit_Messages;

{$MODE Delphi}

interface

uses Windows,unit_Functions;

var WM_PROPERTIES,
    WM_SETACTION,
    WM_CHANGEVIEW,
    WM_REMOVEVIEW,
    WM_SETMODE,
    WM_SETMATERIAL,
    WM_PAINT: UInt;

implementation

initialization

    WM_PROPERTIES := GetUserMsgNum('WM_PROPERTIES');
    WM_SETACTION := GetUserMsgNum('WM_SETACTION');
    WM_CHANGEVIEW := GetUserMsgNum('WM_CHANGEVIEW');
    WM_REMOVEVIEW := GetUserMsgNum('WM_REMOVEVIEW');
    WM_SETMODE := GetUserMsgNum('WM_SETMODE');
    WM_SETMATERIAL := GetUserMsgNum('WM_SETMATERIAL');
    WM_PAINT := GetUserMsgNum('WM_PAINT');

end.
 
