unit unit_PathControlPointList;

{$MODE Delphi}

interface

uses
  unit_Types,
  unit_Paths;

type
  TPathControlPointList = class(TDeleDObjectList)
  private
    function GetPathControlPoint(I: Integer): TPathControlPoint;
  public
    property ControlPoints[I: Integer]: TPathControlPoint read GetPathControlPoint;
  end;

implementation

{ TPathControlPointList }

function TPathControlPointList.GetPathControlPoint(I: Integer): TPathControlPoint;
begin
    if (I>=0) and (I<Count) then
        Result := TPathControlPoint(Items[I])
    else
        Result := nil;
end;

end.
