{ ----------------------------------------------------------------------------
    Copyright (C) 2005-2010 Jeroen Commandeur and Paul-Jan Pauptit

    This file is part of DeleD CE (Community Edition)

    DeleD CE is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Deled CE is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Deled CE. If not, see <http://www.gnu.org/licenses/>.
  ---------------------------------------------------------------------------- }
unit frmAboutForm;

{$MODE Delphi}

interface

uses Windows, SysUtils, Classes, Graphics, Forms, Controls, StdCtrls,
     Buttons, ExtCtrls, shellapi,
     unit_VersionInfo;

type
  TfrmAboutBox = class(TForm)
    panTop: TPanel;
    lblTitle: TLabel;
    panBottom: TPanel;
    Image3: TImage;
    OKButton: TButton;
    lblVersion: TLabel;
    Label1: TLabel;
    Image2: TImage;
    Label2: TLabel;
    lblRights: TLabel;
    Label3: TLabel;
    Label13: TLabel;
    Label7: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Image1: TImage;
    Label8: TLabel;
    Label9: TLabel;
    Label10: TLabel;
    Label15: TLabel;
    Label16: TLabel;
    Label17: TLabel;
    procedure OKButtonClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure Label13Click(Sender: TObject);
    procedure Label13MouseEnter(Sender: TObject);
    procedure Label13MouseLeave(Sender: TObject);
    procedure Label3Click(Sender: TObject);
    procedure Label3MouseEnter(Sender: TObject);
    procedure Label3MouseLeave(Sender: TObject);
    procedure Image1Click(Sender: TObject);
    procedure Label8Click(Sender: TObject);
    procedure Label8MouseEnter(Sender: TObject);
    procedure Label8MouseLeave(Sender: TObject);
    procedure Label16Click(Sender: TObject);
    procedure Label16MouseEnter(Sender: TObject);
    procedure Label16MouseLeave(Sender: TObject);
  private
  public
  end;

implementation

{$R *.lfm}

procedure TfrmAboutBox.FormCreate(Sender: TObject);
begin
    lblVersion.Caption := 'Version '+_versionstring;
end;

procedure TfrmAboutBox.Label13Click(Sender: TObject);
begin
    ShellExecute(0,nil,'http://www.delgine.com',nil,nil,SW_ShowDefault);
end;

procedure TfrmAboutBox.Label13MouseEnter(Sender: TObject);
begin
    Label13.Font.Style := [fsUnderline];
end;

procedure TfrmAboutBox.Label13MouseLeave(Sender: TObject);
begin
    Label13.Font.Style := [];
end;

procedure TfrmAboutBox.Label3Click(Sender: TObject);
begin
    ShellExecute(0,nil,'mailto:'+'jeroen@delgine.com'+'?Subject=DeleD',nil,nil,SW_ShowDefault);
end;

procedure TfrmAboutBox.Label3MouseEnter(Sender: TObject);
begin
    Label3.Font.Style := [fsUnderline];
end;

procedure TfrmAboutBox.Label3MouseLeave(Sender: TObject);
begin
    Label3.Font.Style := [];
end;

procedure TfrmAboutBox.Label8Click(Sender: TObject);
begin
    ShellExecute(0,nil,'mailto:'+'paul@delgine.com'+'?Subject=DeleD',nil,nil,SW_ShowDefault);
end;

procedure TfrmAboutBox.Label16MouseEnter(Sender: TObject);
begin
    Label16.Font.Style := [fsUnderline];
end;

procedure TfrmAboutBox.Label16MouseLeave(Sender: TObject);
begin
    Label16.Font.Style := [];
end;

procedure TfrmAboutBox.Label16Click(Sender: TObject);
begin
    ShellExecute(0,nil,'mailto:'+'dave@delgine.com'+'?Subject=DeleD',nil,nil,SW_ShowDefault);
end;

procedure TfrmAboutBox.Label8MouseEnter(Sender: TObject);
begin
    Label8.Font.Style := [fsUnderline];
end;

procedure TfrmAboutBox.Label8MouseLeave(Sender: TObject);
begin
    Label8.Font.Style := [];
end;

procedure TfrmAboutBox.Image1Click(Sender: TObject);
begin
    Close;
end;

procedure TfrmAboutBox.OKButtonClick(Sender: TObject);
begin
    Close;
end;

end.

