{ ----------------------------------------------------------------------------
    Copyright (C) 2005-2010 Jeroen Commandeur and Paul-Jan Pauptit

    This file is part of DeleD CE (Community Edition)

    DeleD CE is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Deled CE is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Deled CE. If not, see <http://www.gnu.org/licenses/>.
  ---------------------------------------------------------------------------- }
unit fraCommandPropertiesDefault;

{$MODE Delphi}

interface

uses 
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, ExtCtrls,
  unit_Scene;

type
  TfraCommandPropDefault = class(TFrame)
    Label1: TLabel;
    Button1: TButton;
    procedure Button1Click(Sender: TObject);
  private
    fScene: TScene;
  protected
    procedure Initialize; virtual;
  public
    constructor Create(const aScene: TScene); reintroduce;
    property Scene: TScene read fScene;
  end;

implementation

{$R *.lfm}

procedure TfraCommandPropDefault.Initialize;
begin
    // empty on purpose; implement in descendants where necessary
end;

constructor TfraCommandPropDefault.Create(const aScene: TScene);
begin
    inherited Create(nil);
    fScene := aScene;
    Initialize;
end;

procedure TfraCommandPropDefault.Button1Click(Sender: TObject);
begin
    fScene.UpdateGUI;
end;

end.
