{ ----------------------------------------------------------------------------
    Copyright (C) 2005-2010 Jeroen Commandeur and Paul-Jan Pauptit

    This file is part of DeleD CE (Community Edition)

    DeleD CE is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Deled CE is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Deled CE. If not, see <http://www.gnu.org/licenses/>.
  ---------------------------------------------------------------------------- }
unit fraCommandPropertiesInsert;

{$MODE Delphi}

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, fraCommandPropertiesDefault, StdCtrls;

type
  TfraCommandPropInsert = class(TfraCommandPropDefault)
    chkAutoConnect: TCheckBox;
    procedure chkAutoConnectClick(Sender: TObject);
  private
  protected
    procedure Initialize; override;
  public
  end;

implementation

uses unit_Variables;

{$R *.lfm}

procedure TfraCommandPropInsert.chkAutoConnectClick(Sender: TObject);
begin
    defaultAutoConnectVertices := chkAutoConnect.Checked;
end;

procedure TfraCommandPropInsert.Initialize;
begin
    inherited;
    chkAutoConnect.Checked := defaultAutoConnectVertices;
end;

end.
