{ ----------------------------------------------------------------------------
    Copyright (C) 2005-2010 Jeroen Commandeur and Paul-Jan Pauptit

    This file is part of DeleD CE (Community Edition)

    DeleD CE is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Deled CE is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Deled CE. If not, see <http://www.gnu.org/licenses/>.
  ---------------------------------------------------------------------------- }
unit fraCreatePropertiesRectangle;

{$MODE Delphi}

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ComCtrls,         
  fraCreatePropertiesDefault,
  unit_Variables;

type
  TfraCreatePropRectangle = class(TfraCreatePropDefault)
    chkDoubleSided: TCheckBox;
    procedure chkDoubleSidedClick(Sender: TObject);
  private
  public
    constructor Create(AOwner: TComponent); override;
  end;

implementation

{$R *.lfm}

// ### TfraCreatePropRectangle #################################################

constructor TfraCreatePropRectangle.Create(AOwner: TComponent);
begin
    inherited;
    chkDoubleSided.Checked := defaultRectangleDoubleSided;
end;

procedure TfraCreatePropRectangle.chkDoubleSidedClick(Sender: TObject);
begin
    defaultRectangleDoubleSided := chkDoubleSided.Checked;
end;

end.
