{ ----------------------------------------------------------------------------
    Copyright (C) 2005-2010 Jeroen Commandeur and Paul-Jan Pauptit

    This file is part of DeleD CE (Community Edition)

    DeleD CE is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Deled CE is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Deled CE. If not, see <http://www.gnu.org/licenses/>.
  ---------------------------------------------------------------------------- }
unit unit_JointList;

uses unit_Types, unit_Joint;

type
  TJointList = class(TDeleDObjectList)
  private
    function GetJoint(anIndex: integer): TJoint;
  public
    property Joints[anIndex: integer]: TJoint read GetJoint; default;
  end;

implementation

// ### TJointList ##############################################################

function TJointList.GetJoint(anIndex: integer): TJoint;
begin
    if (anIndex>=0) and (anIndex<Count) then
        Result := TJoint(Items[anIndex])
    else
        Result := nil;
end;
